%define tarname xkeyboard-config
%define xkeyboard_config_ver  2.0

Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary: 	xkeyboard-config alternative xkb data files
Name: 		xorg-x11-xkbdata
Version: 	2.0
Release: 	1
License: 	MIT
Group: 		User Interface/X
URL:		http://www.freedesktop.org/wiki/Software/XKeyboardConfig
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

Source0: 	http://xlibs.freedesktop.org/xkbdesc/%{tarname}-%{xkeyboard_config_ver}.tar.bz2

BuildArch: 	noarch

BuildRequires: 	pkg-config
BuildRequires: 	xorg-x11-util-macros
BuildRequires: 	xkbcomp
BuildRequires: 	perl-XML-Parser

Provides: 	xkbdata
Provides: 	xkeyboard-config

%description
xkeyboard-config alternative xkb data files

%prep
%setup -q -n %{tarname}-%{xkeyboard_config_ver}

%build
%configure \
    --enable-compat-rules \
    --with-xkb-base=%{_datadir}/X11/xkb \
    --disable-xkbcomp-symlink \
    --with-xkb-rules-symlink=xorg
#--with-xkb-rules-symlink=xorg,evdev

make

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT
# Remove unnecessary symlink
rm -f $RPM_BUILD_ROOT%{_datadir}/X11/xkb/compiled

%clean
rm -rf $RPM_BUILD_ROOT

%pre
{
  # Upgrade section
  if [ "$1" -gt "1" ] ; then
    # The modular X11R7.0 xkbdata package has symbols/pc as a directory, however
    # xkeyboard-config has it as a file.  rpm can't deal with this during package
    # upgrades from xorg-x11-xkbdata to xkeyboard-config, so we have to remove
    # the directory here first as a super-ugly hack.  It seems this is the only
    # way to make upgrades work properly.  Later, once FC5 has shipped, we can
    # remove this ugly hack, and just claim to not support upgrades from FC5testN
    # releases that included the X11R7.0 xkbdata.
    XKBDATA_PC=%{_datadir}/X11/xkb/symbols/pc
    if [ -d "$XKBDATA_PC" ] ; then
      rm -rf "$XKBDATA_PC" || : &>/dev/null
    fi
  fi
}

#%files -f files.list
%files
%defattr(-,root,root,-)
%{_datadir}/X11/xkb/
%{_locale}/*/LC_MESSAGES/xkeyboard-config.mo
%{_datadir}/pkgconfig/xkeyboard-config.pc

%changelog
* Wed Dec 08 2010 Karsten Brockmann <arcam@ccux-linux.de> 2.0-1
- version update
* Mon Aug 16 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.9-1
- version update
* Tue Oct 20 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.7-1
- version update
* Mon May 25 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.6-1
- version update
* Thu Apr 16 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.4-2
- now with the intended content ;)
* Sun Nov 09 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.4-1
- Version update
* Sat Sep 06 2008 Stefan Gottwald <gotti@ccux-linux.de> 1.2-1
- Version update
* Sun Jul 02 2006 Christian Metzen <metzench@ccux-linux.de> 1.0.1-1
- Initial release
